package com.example.animoi;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.util.DisplayMetrics;
import android.view.Gravity;
import android.view.View;
import android.view.WindowManager;

public class Info extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_info);


        //Obtenció del tamany de pantalla del dispositiu
        DisplayMetrics dm = new DisplayMetrics();
        getWindowManager().getDefaultDisplay().getMetrics(dm);

        //Associació de variables als valors anteriors
        int width = dm.widthPixels;
        int height = dm.heightPixels;

        //Creació del menú popUp segons les proporcions de la pantalla
        getWindow().setLayout((int)(width*.9), (int)(height*.85));

        //Col·locació del menú popUp
        WindowManager.LayoutParams params = getWindow().getAttributes();
        params.gravity = Gravity.CENTER;
        params.x = -50;
        params.y = 20;
        getWindow().setAttributes(params);

        if(width>2000){
            params.x = 0;
            params.y = -35;
            getWindow().setAttributes(params);
        }
    }

    //Mètode per tornar a la página anterior
    public void volver (View v){
        onBackPressed();
        overridePendingTransition(R.anim.fade_in, R.anim.fade_out);
    }
}
