package com.example.animoi;

import androidx.appcompat.app.AppCompatActivity;
import androidx.core.app.ActivityOptionsCompat;

import android.animation.ObjectAnimator;
import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;

public class Montar extends AppCompatActivity {

    private int idMontar;
    private LinearLayout montar, proyecto1;
    private String project;
    private TextView text1, text2, text3, text4;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_montar);

        //Assignació de variables a elements xml
        montar = findViewById(R.id.bMontar);
        proyecto1 = findViewById(R.id.bProyecto1);
        text1 = findViewById(R.id.txtMontar1);
        text2 = findViewById(R.id.txtMontar11);
        text3 = findViewById(R.id.txtMontar2);
        text4 = findViewById(R.id.txtMontar22);
    }

    //Mètode onClick que assigna un id diferent a cada element i permet passar a la pantalla següent
    public void selectProject(View view){

        //Assignació de ids
        switch (view.getId()){
            case R.id.bMontar:
                idMontar = 0;
                project = text2.getText().toString();
                break;

            case R.id.bProyecto1:
                idMontar = 1;
                project = text4.getText().toString();
                break;

            default:
                idMontar = 2;
                break;
        }

        //Intent per canviar de pantalla. Es passen el id i el títol a la pantalla següent
        Intent intentMontaje = new Intent(Montar.this, IntroProyectos.class);
        intentMontaje.putExtra("id", idMontar);
        intentMontaje.putExtra("titulo", project);
        startActivity(intentMontaje);

    }
    //Mètode per tornar al menú principal
    public void menu (View v){
        Intent menu = new Intent(Montar.this, MainActivity.class);
        startActivity(menu);
    }

    //Mètode per tornar a la página anterior
    public void volver (View v){
        onBackPressed();
    }
}
